/* Esimerkki 1.
   10.5.1999 Matti Meriläinen

   Listan alustaminen, listaan lisääminen, listan tulostaminen
   ja tilan vapauttaminen, sekä listan asemien käyttö. Ohjelma 
   tekee kokonaislukulistan 1, 2, 3 sijoittamalla listaan lukuja 
   eri päihin listaa. Huomaa ero INT_LIST_LAST- ja INT_LIST_EOL-
   funktioiden toiminnassa.
*/

#include "TRA.h"

int main() {
        LIST L;
        IL_CREATE(L);
        IL_INSERT(L, LIST_FIRST(L), 2);
        IL_INSERT(L, LIST_LAST(L), 1);
        IL_INSERT(L, LIST_EOL(L), 3);
        IL_PRINT(L);
        IL_FREE(L);
        return (0);
} 
